Bug 88791 - se-latin1 keymap incorrectly renamed to sv-latin1
se-latin1 keymap incorrectly renamed to sv-latin1
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kbd (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 04:00 EDT by mikpe
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version: 1.08-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-25 12:51:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mikpe 2003-04-14 04:00:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; SunOS 5.9 sun4u)

Description of problem:
RH9 renamed the Swedish PC keyboard map from se-latin1
to sv-latin1. This is utterly bogus, for two reasons:

1. It breaks upgrades from RH8.0 and earlier:
   /etc/sysconfig/keyboard still points to se-latin1,
   which no longer exists.

2. Even worse, the name prefix "sv" is simply WRONG.
   My initial reaction was "what's this? Slovakia?".
   The "SE" code is well-established, being used for
   things like postal area codes, car bumper stickers,
   and locale names.
   A plain "S" was used some years ago, for area codes
   and bumper stickers, but "SE" is now preferred.
   "SV" is not and never has been used for any of these things.

   Imagine renaming UK to UN or KI. It's that bad.

RedHat needs to undo this change. I'm struggling not to
use harsher language here.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH9.
2.
3.
    

Additional info:
Comment 1 Eido Inoue 2003-07-25 12:51:32 EDT
renamed back to se... keeping the sv for legacy. both should work now.

Note You need to log in before you can comment on or make changes to this bug.